# Get consents

Get all consent associated with a borrower.

Endpoint: GET /people/{personId}/consents
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of items in this result.

  - `status` (integer)
    HTTP status code.

  - `data` (array)

  - `data.createdAt` (string)

  - `data.deletedAt` (string)

  - `data.id` (string)

  - `data.updatedAt` (string)

  - `data.name` (string, required)
    Represents special consents or permissions. Consents are typically
given in writing to a lender.
- `electronicComms` - Set to `revoked` if the borrower hasn't consented or
has revoked consent to electronic communications. Default: `consented`
- `contactPersonWork` - A borrower or their attorney gave a written
consent to contact borrower's employer for debt collection. Default: `revoked`
- `contactPersonRepByAttorney` - Indicates whether a lender is
allowed to contact a borrower represented by an attorney. If the attorney
gave a written consent to interact with the borrower, set
to `consented`. Default: `revoked`
- `contactPersonUnusualTime` - A person or their attorney gave
written consent to interact with the person at some unusual
place or time. Default: `revoked`
- `autodialedColl` - Consent to receive autodialed or pre-recorded
collection calls from creditors or third-party collectors. If no
value is provided, we will assume autodialedColl is `consented`. For
more information read Telephone Consumer Protection Act (TCPA).
Default: `consented`
- `executeWageAssignment` - Set to `consented` if the person consented to
execute a wage assignment agreement. Default: `revoked`
- `contactServicememberUnitOrCommander` - Consent to contact a
servicemember's military unit or chain of command to collect on a debt. Default: `revoked`.
    Enum: "electronicComms", "contactPersonWork", "contactPersonRepByAttorney", "contactPersonUnusualTime", "autodialedColl", "executeWageAssignment", "contactServicememberUnitCollDebt"

  - `data.object` (string)
    Enum: "consent"

  - `data.value` (string, required)
    Consent can be granted and revoked by a borrower.
    Enum: "consented", "revoked"

